Skip to main content

List all VASCO credentials

GET 

/nevisidm/api/core/v1/:clientExtId/vasco

Since: 8.2605.0, 9.2605.0

Required permission(s): AccessControl.CredentialView

Returns a paginated list of all VASCO Digipass token credentials within the given client, regardless of whether they are assigned to a user or not.

Each entry includes the full credential metadata and all associated Digipass token data blocks. Pagination is controlled via continuationToken and limit parameters.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123

Query Parameters

    continuationToken string

    Pagination continuation token from a previous response.

    limit int32

    Default value: 0

    Maximum number of VASCO credentials to return.

    Example: 100

Responses

VASCO credentials retrieved successfully

Schema
    items object[]
  • Array [
  • created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the credential.

    userExtId string

    The external ID of the user to whom the credential belongs.

    policyExtId string

    The external ID of the used policy.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    The state of the credential. Available values: initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived.

    stateChangeReason string

    Reason for the last state change of the password.

    stateChangeDetail string

    Reason detail for the last state change of the password.

    lastSuccessfulLoginDate string

    Timestamp of last successful login.

    successfulLoginCount int32

    Counts successful logins with this credential since last initialization or reset.

    lastFailedLoginDate string

    Date of last non-technical login failure, for example, wrong password.

    failedLoginCount int32

    Counts non-technical login failures since the last successful login, initialization or reset.

    modificationComment string

    Textual comment regarding the last modification.

    type string

    Possible values: [Password, Certificate, SecurID User Mapping, Ticket Authorization, Safeword User Mapping, OTP Card, Temporary Strong Password, Generic Credential, Kerberos, mTan, Vasco, PUK, URL Ticket, DevicePassword, MobileSignature, SAML Federation, Security Questions, Context Password, OATH, FIDO UAF Authenticator, Recovery Code, FIDO2 Authenticator]

    Type of credential.

    validity object

    Describes the validity period of the password.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

    vascoTokens object[]

    List of VASCO Digipass token data blocks associated with this credential.

  • Array [
  • authMode string

    The authentication mode this Digipass data block is used for.

    data string

    The Base64-encoded VASCO Digipass proprietary data block.

  • ]
  • ]
  • _pagination object
    continuationToken string

    The continuation token for fetching the next page of results generated from creation date and external id of the last entity

    limit int32

    The maximum number of results returned in a single page

    totalResult int64

    The total number of results available, only supported for selected endpoints, if returnTotalResultCount query-parameter is true

    _classifications object
    property name* string[]
  • Array [
  • string

  • ]
Loading...